# Get a Rebate Agreement Retrieves details of the specified Rebate Agreement. Endpoint: POST /rebateagreement.fetch/{uniqueName} Security: basic, X-PriceFx-jwt ## Path parameters: - `uniqueName` (string, required) The uniqueName of the Rebate Agreement you want to retrieve details for. Example: "R-2147483871" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.targetDate` (string) - `response.data.workflowStatus` (string) - `response.data.headerText` (string) - `response.data.inputs` (array) - `response.data.inputs.name` (string) - `response.data.inputs.lookupTableId` (any) - `response.data.inputs.url` (any) - `response.data.inputs.type` (string) - `response.data.inputs.value` (object) - `response.data.inputs.value.customerFieldName` (string) - `response.data.inputs.value.customerFieldValue` (string) - `response.data.inputs.value.customerFieldLabel` (string) - `response.data.inputs.valueHint` (string) - `response.data.inputs.readOnly` (any) - `response.data.inputs.filter` (any) - `response.data.inputs.parameterGroup` (any) - `response.data.inputs.required` (any) - `response.data.inputs.labelTranslations` (any) - `response.data.inputs.addUnknownValues` (any) - `response.data.inputs.alwaysEditable` (any) - `response.data.inputs.parameterConfig` (object) - `response.data.inputs.formattingOptions` (object) - `response.data.inputs.valueOptions` (any) - `response.data.viewState` (object) - `response.data.viewState.gridViewState` (any) - `response.data.viewState.openFolders` (any) - `response.data.viewState.selectedNodes` (any) - `response.data.outputs` (array) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (string) - `response.data.submittedByName` (any) - `response.data.calculationStatus` (number) - `response.data.dirty` (boolean) - `response.data.refreshInputs` (boolean) - `response.data.nodeId` (any) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.serverMessages` (array) - `response.data.additionalInfo1` (any) - `response.data.additionalInfo2` (any) - `response.data.additionalInfo3` (any) - `response.data.additionalInfo4` (any) - `response.data.numberOfAttachments` (number) - `response.data.creationWorkflowStatus` (any) - `response.data.creationWorkflowCurrentStep` (any) - `response.data.creationWorkflowStepCount` (any) - `response.data.creationWorkflowStepLabel` (any) - `response.data.signature` (any) - `response.data.lineItems` (array) - `response.data.seller` (any) - `response.data.customerGroup` (object) - `response.data.customerGroup.customerFilterCriteria` (any) - `response.data.startDate` (string) - `response.data.endDate` (string) - `response.data.payoutDate` (string) - `response.data.rebateRecordSetId` (any) - `response.data.rebateRecordSetLabel` (any) - `response.data.simulationSet` (any) - `response.data.simulationType` (any) - `response.data.status` (string) - `response.data.rebateAgreementStatus` (string) - `response.data.approvedByName` (any) - `response.data.deniedByName` (any) - `response.data.renderInfo` (any) - `response.data.serverMessagesExtended` (array) - `response.data.serverMessagesExtended.key` (any) - `response.data.serverMessagesExtended.message` (string, required) - `response.data.approvalRequiredEmailAttachmentsJson` (any) - `response.data.hasWorkflowHistory` (boolean) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.supersededBy` (any) - `response.data.prevRev` (any) - `response.data.rootUniqueName` (string) - `response.data.headerRebateType` (any) - `response.data.sellerName` (any)